## python-returns 0.24.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = returns
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-returns 0.23.0

=== debian/changelog ===
python-returns (0.23.0-1) unstable; urgency=medium

  * Initial upload (Closes: #1076669)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Jul 2024 21:17:38 +0200

=== debian/control ===
Source: python-returns
Homepage: https://github.com/dry-python/returns
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Section: python
Priority: optional
Standards-Version: 4.6.2
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-poetry-core,
 python3-all (>= 3.9),
 python3-typing-extensions (>= 4.0),
 mypy (>= 1.10),
 python3-pytest (>= 8),
 python3-hypothesis (>= 6.98),
 python3-anyio (>= 4.3),
 python3-trio (>= 0.25),
 python3-attr (>= 23.2),
 python3-httpx (>= 0.27),
 python3-pytest-cov (>= 5),
 python3-pytest-mypy (>= 3.1),
 python3-pytest-subtests (>= 0.12),
 python3-doc8,
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/python-team/packages/python-returns.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-returns
Rules-Requires-Root: no

Package: python3-returns
Architecture: all
Depends: ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: Make your functions return something meaningful, typed, and safe
 Basically, the answer is that returns provides useful abstractions that solve
 some problems every developer has:
 .
  * ``Maybe`` helps to work with None in a type-safe way
  * ``Result`` helps to work with exceptions in a type-safe way
  * ``IO`` helps to separate pure code from impure code to make your
    architecture better
  * ``Future`` helps to write await free code
  * ``RequiresContext`` helps to inject dependencies in a very readable,
    explicit, type-safe, and clean way
  * ``Pipelines`` can be used independently or together with the types above to
    create complex, declarative, and type-safe data pipelines
 .
 On top of that ``returns`` provides useful interfaces that allows you to switch
 implementation on the fly. For example, you can write code that works the same
 way for sync and async execution flows. While being fully type-safe at the
 same time.
 .
 And you can write your own primitives that will solve any other problem you
 can possible have based on ``returns`` existing or your custom interfaces.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_BEFORE_TEST=cp -r {dir}/setup.cfg {dir}/typesafety {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs {build_dir}/setup.cfg {build_dir}/typesafety {build_dir}/htmlcov {build_dir}/coverage.xml
export PYBUILD_TEST_ARGS=returns tests typesafety

%:
	dh $@ --buildsystem=pybuild

before-pybuild-autopkgtest:
	mkdir -pv $${ADTTMP}/build
	cp -r returns $${ADTTMP}/build

## python-returns 0.24.0

=== debian/changelog ===
python-returns (0.24.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1085060).
  * Drop upstream applied patch:
    fix-laws-pure-compatibility-with-hypothesis-6.113.0
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 11 Dec 2024 12:58:43 -0300

python-returns (0.23.0-2) unstable; urgency=medium

  * Source only upload, build against python3.12
  * Drop typesafety tests (Never is preferred over NoReturn in py3.12)
  * Add new patch: fix-laws-pure-compatibility-with-hypothesis-6.113.0

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2024 17:08:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,

## python-returns 0.25.0

=== debian/changelog ===
python-returns (0.25.0-1) unstable; urgency=medium

  * New upstream version 0.25.0
  * Update dependencies
  * Disable autopkgtest on riscv64

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Mar 2025 18:15:43 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  python3-all (>= 3.9),
  python3-typing-extensions (>= 4.0),
  mypy (>= 1.10),
+ python3-covdefaults (>= 2.3.0),
  python3-pytest (>= 8),
  python3-hypothesis (>= 6.98),
  python3-anyio (>= 4.3),

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_BEFORE_TEST=cp -r {dir}/setup.cfg {dir}/docs {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs {build_dir}/setup.cfg {build_dir}/htmlcov {build_dir}/coverage.xml
export PYBUILD_TEST_ARGS=--cov-fail-under=0 -v returns docs/pages tests

%:
	dh $@ --buildsystem=pybuild

before-pybuild-autopkgtest:
	mkdir -pv $${ADTTMP}/build
	cp -r returns $${ADTTMP}/build

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/dry-python/returns/tags?per_page=100 \
    https://api.github.com/repos/dry-python/returns/tarball/refs/tags/@ANY_VERSION@

## python-returns 0.26.0

=== docs/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -W
 SPHINXBUILD   = sphinx-build
 SPHINXPROJ    = returns
 SOURCEDIR     = .

=== debian/changelog ===
python-returns (0.26.0-3) unstable; urgency=medium

  * Team upload.
  * pytest-subtests is included in pytest 9.1+
  * Bump Standards-Version to 4.7.3

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Dec 2025 21:16:48 +0100

python-returns (0.26.0-2) unstable; urgency=medium

  * Team Upload
  * Apply Multi-Arch: hint
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 22 Nov 2025 14:00:08 +0100

python-returns (0.26.0-1) unstable; urgency=medium

  * New upstream version 0.26.0
  * Update build dependencies
  * Add new patch: 0001-hypothesis-strategy-mismatch.patch

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Aug 2025 14:45:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,39 @@
 Source: python-returns
 Homepage: https://github.com/dry-python/returns
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Uploaders:
+ Maximiliano Curia <maxy@debian.org>,
 Section: python
-Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ mypy (>= 1.12),
  pybuild-plugin-pyproject,
+ python3-all (>= 3.9),
+ python3-anyio (>= 4.3),
+ python3-attr (>= 23.2),
+ python3-covdefaults (>= 2.3.0),
+ python3-doc8,
+ python3-httpx (>= 0.27),
+ python3-hypothesis (>= 6.136),
  python3-poetry-core,
- python3-all (>= 3.9),
- python3-typing-extensions (>= 4.0),
- mypy (>= 1.10),
- python3-covdefaults (>= 2.3.0),
- python3-pytest (>= 8),
- python3-hypothesis (>= 6.98),
- python3-anyio (>= 4.3),
- python3-trio (>= 0.25),
- python3-attr (>= 23.2),
- python3-httpx (>= 0.27),
+ python3-pytest (>= 9.0.1~),
  python3-pytest-cov (>= 5),
  python3-pytest-mypy (>= 3.1),
- python3-pytest-subtests (>= 0.12),
- python3-doc8,
+ python3-trio (>= 0.25),
+ python3-typing-extensions (>= 4.0),
 Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-returns.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-returns
-Rules-Requires-Root: no
 
 Package: python3-returns
 Architecture: all
-Depends: ${python3:Depends},
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
 Description: Make your functions return something meaningful, typed, and safe
  Basically, the answer is that returns provides useful abstractions that solve
  some problems every developer has:
